# -*- coding: utf-8 -*-
"""
Created on Mon Jun 10 14:11:22 2019

@author: SnowmanZhang

stay hungry,stay foolish
"""

from baidumap.api.handle import get_handle
import json
import os
from example.commons import Collector, Faker
from pyecharts import options as opts
from pyecharts.charts import BMap, Page
from pyecharts.globals import BMapType



ak_key = "RkwfPwjwfrn3P5XZoNKz7BScyor0nZvW"
ak_key2 = "nSxiPohfziUaCuONe4ViUP2N"
C = Collector()

'''
1. 生成查询句柄 
2. 生成查询参数 
3. 获得查询结果（同时确定返回要求）。
'''

def place_search():  #区域检索
    place_search = get_handle(ak_key, 'place/v2/search', is_list=True)
    place_search.set_params(query='ATM机', region='北京')
    placeser = get_handle(  #上述set_params方法等效于在get_handle函数中添加参数
        ak_key,
        'place/v2/search',
        is_list=True,
        query='ATM机',
        tag='银行',
        region='北京', )
    atm_in_beijing = place_search.run(max_page_num=3, page_size=20, max_result_num=55, interval=0.5)
        #run同样有可选参数，分别是每页包含数据条数，最大页数和最大结果数    
        #max_page_num : 最大页面数
        #page_size :单页数量
        #max_result_num: 最大访问数量
        #interval: 请求间隔，过于频繁的请求会被百度拒绝
    return atm_in_beijing


def place_detail():  # poi详细检索
    place_detail = get_handle(ak_key,'place/v2/detail',is_list = True)
    place_detail.set_params(uid='16d191a12eef5366c5effbcd',scope=2)
    #scope ：1 基本信息  2 详细信息
    detailplace = place_detail.run()
    return detailplace


def direction_transit(origin,destination):  # 公共交通规划   origin 与 destination 形如  "40.056878,116.30815"
    place_transit = get_handle(ak_key,'direction/v2/transit',is_list = True)
    place_transit.set_params(origin=origin,destination=destination,tactics_incity = 4)
    placetransit = place_transit.run(page_size = 5)
    # page_size : 每页几条线路
    # page_index  第几页
    return placetransit

def direction_riding(origin,destination):  # 骑行
    direction_transit = get_handle(ak_key,'direction/v2/riding',is_list = True)
    direction_transit.set_params(origin=origin,destination=destination,tactics_incity = 4)
    placetransit = direction_transit.run(page_size = 5)
    return placetransit

def direction_driving(origin,destination):  # 驾车
    direction_transit = get_handle(ak_key,'direction/v2/driving',is_list = True)
    direction_transit.set_params(origin=origin,destination=destination,tactics_incity = 4)
    placetransit = direction_transit.run(page_size = 5)
    return placetransit

def place_geocoder(address):  # 地理编码
    place_geocoder = get_handle(ak_key,'geocoder/v2/',is_list = True)
    place_geocoder.set_params(address=address)
    placegeocoder = place_geocoder.run()
    return placegeocoder

@C.funcs
def bmap_lines(lng,lat) -> BMap:
    c = (
        BMap()
        .add_schema(
            baidu_ak=ak_key2,
            center=[lng, lat],
            zoom=14,
            is_roam=True,
            map_style={
            },
        )
        .add(
            "",
            type_="lines",
            data_pair=path,
            is_polyline=True,
            is_large=True,
            linestyle_opts=opts.LineStyleOpts(color="purple", opacity=0.6, width=1),
        )
        .add_control_panel(
            maptype_control_opts=opts.BMapTypeControl(
                type_=BMapType.MAPTYPE_CONTROL_DROPDOWN
            ),
            scale_control_opts=opts.BMapScaleControlOpts(),
            overview_map_opts=opts.BMapOverviewMapControlOpts(is_open=True),
        )
        .set_global_opts(title_opts=opts.TitleOpts(title="cntraveltime路线"))
    )
    return c


# 1. 读取两地列表
with open("../地点列表.txt","r",encoding="utf8") as f:
    placelist = f.readlines()


# 2. 请求并解析traveltime结果
traveltimelist = []
for line in placelist[4:5]:
    startaddress,endaddress = line.replace("\n","").split("\t")
    geo_start = place_geocoder(startaddress)
    geo_end = place_geocoder(endaddress)
    start_lng = geo_start['result']['location']['lng']
    start_lat = geo_start['result']['location']['lat']
    end_lng = geo_end['result']['location']['lng']
    end_lat = geo_end['result']['location']['lat']
    placetransit = direction_transit(f"{start_lat},{start_lng}",f"{end_lat},{end_lng}")
    placetransit = placetransit['result']['routes'][0]
    unit_place = (placetransit['distance'],
                  placetransit['duration'],)
    traveltimelist.append(unit_place)

# 3. 取得所有key值为'path'的键的位置
placetransit['steps'].get_property('path', p_default=None)

# 4. 解析路径坐标
path = []
for k in placetransit['steps'].keys():  # 取得返回节点中所有的键
    if type(k) is int:
        unit = {'coords':[coord.split(",") for coord in placetransit['steps'][k][0]['path'].split(";")]}
        path.append(unit)



Page().add(*[fn((start_lng+end_lng)/2,(start_lat+end_lat)/2) for fn, _ in C.charts]).render("new.html")

