# 百度地图上的数据

## 张学人 2019.6

### 2019 Stata洞察数据科学

# “距离”的衡量与初衷

## 地理学第一定律


万事之间皆有联系，但是更加临近的事情存在更加强的联系。
Everything is related to everything else, but near things are more related than distant things. 


## 空间距离的测度与应用


- 在目前的文献中，广泛采用`球面距离`或者`直线距离`来代表两地的空间距离。
- `空间计量`研究通过引入`距离矩阵`来观察研究对象在空间上的溢出效应，或者藉此控制溢出效应。
- 一般认为，诸如`创新`、`文化`等概念及活动具有空间集聚现象，空间计量的具有丰富的研究前景。


## 一个思考

- 两地距离短，并不意味着走的路少。
- 两地距离短，并不意味着通行很“快”。————我去北京西站送你，你已经回到天津了，而我还没回到家


# 距离的现实地理情形

## 被黄河一分为二的兰州

![](baidumap-1.png)

## 苏州-上海

![](baidumap-2.png)

## 武汉市内

![](baidumap-3.png)

## 

1. 当使用球面距离作为衡量两个地点之间“距离”的时候，有可能因为实际地理环境发生了改变而失去实际意义。
2. 既然我们要使用的指标是表达了两地之间“距离”的概念，那么就需要一个更加贴近现实的指标。

# Chinagcode

<center>
李春涛  薛原
Stata-Club
</center>

## 简介

Chinagcode可以将文本描述的地点信息通过百度地图API转换成对应的经纬度坐标，其命令格式为：


chinagcode, baidukey(RkwfPwjwfrn3P5ZoNKz7BScyor0nZvW) fulladdress(startaddress)


## 安装方式



1. ssc install chinagcode
2. net install chinagcode,from("https://stata-club-1257787903.cos.ap-chengdu.myqcloud.com/chinagcode") replace



# CNTRAVELTIME

<center>
李春涛  薛原  张学人

Stata-Club
</center>

## 简介

cntraveltime 命令通过调取百度地图API，可以求得两地之间(中国境内)各种交通出行方式所耗时间。通过输入两地的经纬度坐标以及出行偏好，将返回相应的结果，包括所耗时间、实际行驶里程，如果原始数据是中文描述，如“湖北省武汉市华中农业大学”，可以先使用命令chinagcode将中文地址转化为相应经纬度。

## 安装方式


1. ssc install cntraveltime
2. net install cntraveltime,from("https://stata-club-1257787903.cos.ap-chengdu.myqcloud.com/cntraveltime") replace

## 小结

优势：构建全面的更贴近现实的衡量距离的指标，时间距离/空间距离。同时命令也提供了丰富的出行偏好：自驾车/公交/骑行/坐火车or飞机

特别提醒：由于百度地图是实时数据，并不能直接计算得出历史行车距离。但可以通过查询确认铁路车次、公路开通时间来间接确定。

# CNMARPSEARCH

<center>
李春涛  薛原  张学人

Stata-Club
</center>

## 简介

cnmapsearch 命令通过调取百度地图API，获取并返回某个地点一定范围内指定关键词地点的信息

## 安装方式


1. ssc install cnmapsearch
2. net install cnmapsearch,from("https://stata-club-1257787903.cos.ap-chengdu.myqcloud.com/cnmapsearch") replace


## 前景


1. 城市门店数量是衡量一个地区经济、文化繁荣程度的直接指标，通过cnmapsearch可以直接获得相应指标。
2. 特殊的门店往往能反应行业竞争程度，如银行网点数量作为银行业区域竞争程度。



## filter 参数配置

|<big>门店类别</big>|<big>排序方式</big>|
|:--:|:--:|
|<big>cater</big>|<big>distance, price, ovelall_rating, taste_rating, service_rating</big>|
|<big>life</big>|<big>distance, price, ovelall_rating, comment_rating</big>|
|<big>hotel</big>|<big>distance, price, total_score, level, health_score</big>|

# [百度地图API开放平台](http://lbsyun.baidu.com/)

Api开放平台为开发者提供了种类繁多的地图数据显示，例如


1. 地图调取授权
2. 路径查询授权
3. 地点查询授权
4. 导航服务授权

# [Python封装](https://github.com/cpak00/baidumap)

## 调用逻辑

BaiduMapHandle = get_handle(ak,model,is_list = True)

BaiduMapHandle  --> 通过get_handle函数获得<baidumap.api.handle.Handle>对象

BaiduMapHandle.run() --> 获得API检索结果


## 句柄配置单


|<big>句柄名称(model)</big>|<big>作用</big>|
|:--:|:--:|
|<big>place/v2/search</big>|<big>地点检索v2</big>|
|<big>place/v2/detail</big>|<big>地点详情v2</big>|
|<big>place_abroad/v1/search</big>|<big>国际化地点检索v1</big>|
|<big>geocoder/v2/</big>|<big>地理编码v2</big>|
|<big>direction/v2/transit</big>|<big>路线规划v2(公共交通)</big>|
|<big>routematrix/v2/driving(walking/riding)</big>|<big>路线规划v2(私人交通)</big>|

