/*
前面三行分别是日常的行程和所花费的时间
2,3行/4,5行印证了地理环境的差异会导致实际路程有所不同，即geo_dist相同的情况下，distance不同。
5,6行印证了相同路程的情况下，耗时是不一样的。即distance相同，但duration不同
*/

clear
*Input address
input str100 startaddress str100 endaddress 
"湖北省武汉市洪山区中南财经政法大学" "湖北省武汉市洪山区华中农业大学"
"湖北省武汉市洪山区中南财经政法大学"	"湖北省武汉市洪山区湖北省中医院"
"湖北省武汉市洪山区中南财经政法大学"	"湖北省武汉市洪山区华中科技大学"
"北京首都国际机场"	"北京市东城区长安街天安门"
"北京首都国际机场"	"清华大学"
"北京首都国际机场"	"北京大学"
"青海省西宁市"	"青海省海南藏族自治州共和县青海湖景区"
"江苏省无锡市梁溪区无锡火车站"	"浙江省湖州市吴兴区人民路湖颖桥"
"江苏省无锡市梁溪区无锡火车站"	"上海市长宁区虹桥路2550号虹桥国际机场"
end

*Obtain coordinates using chinagcode
chinagcode, baidukey(RkwfPwjwfrn3P5XZoNKz7BScyor0nZvW) fulladdress(startaddress)
rename (longitude latitude ) (start_lon start_lat)
chinagcode, baidukey(RkwfPwjwfrn3P5XZoNKz7BScyor0nZvW) fulladdress(endaddress)
rename (longitude latitude ) (end_lon end_lat)

*Compute Spherical distance using geodist
geodist start_lat start_lon end_lat end_lon ,gen(geo_dist)

*Compute distances and duration using cntraveltime
cntraveltime ,baidukey(RkwfPwjwfrn3P5XZoNKz7BScyor0nZvW) startlat(start_lat) startlng(start_lon) endlat(end_lat) endlng(end_lon) transport(car)



*1,2行印证了相同起终点的情况下，不同的交通方式的结果不同（distance不同，有的绕路，有的不绕）
*3行印证了印证了相同起终点的情况下，不同的交通方式的有的可以到达有的不能到达（duration不同）

clear
*Input address
input str100 startaddress str100 endaddress 
"湖北省武汉市洪山区中南财经政法大学" "湖北省武汉市洪山区华中农业大学"
"北京首都国际机场"	"北京市东城区长安街天安门"
"青海省西宁市"	"青海省海南藏族自治州共和县青海湖景区"
"江苏省无锡市梁溪区无锡火车站"	"上海市长宁区虹桥路2550号虹桥国际机场"
end

*Obtain coordinates using chinagcode
chinagcode, baidukey(RkwfPwjwfrn3P5XZoNKz7BScyor0nZvW) fulladdress(startaddress)
rename (longitude latitude ) (start_lon start_lat)
chinagcode, baidukey(RkwfPwjwfrn3P5XZoNKz7BScyor0nZvW) fulladdress(endaddress)
rename (longitude latitude ) (end_lon end_lat)

*Compute distances and duration using cntraveltime by car
cntraveltime ,baidukey(RkwfPwjwfrn3P5XZoNKz7BScyor0nZvW) startlat(start_lat) startlng(start_lon) endlat(end_lat) endlng(end_lon) transport(car)
rename (distance duration) (distance_car duration_car)
*Compute distances and duration using cntraveltime by bus default
cntraveltime ,baidukey(RkwfPwjwfrn3P5XZoNKz7BScyor0nZvW) startlat(start_lat) startlng(start_lon) endlat(end_lat) endlng(end_lon)
rename (distance duration) (distance_bus duration_bus)
*Compute distances and duration using cntraveltime by bike
cntraveltime ,baidukey(RkwfPwjwfrn3P5XZoNKz7BScyor0nZvW) startlat(start_lat) startlng(start_lon) endlat(end_lat) endlng(end_lon) transport(bike)
rename (distance duration) (distance_bike duration_bike)

list distance* duration*



**cnmapsearch


clear
input double lat double lng
30.50695 114.38494
30.54414 114.36921
30.43655 114.42726
end

cnmapsearch, baidukey(RkwfPwjwfrn3P5XZoNKz7BScyor0nZvW) latitude(lat) longitude(lng) keyword("酒") radius(4000) seefilter

clear
input double lat double lng
30.50695 114.38494
30.54414 114.36921
30.43655 114.42726
end

cnmapsearch, baidukey(RkwfPwjwfrn3P5XZoNKz7BScyor0nZvW) latitude(lat) longitude(lng) keyword("酒") radius(4000) filter(cater price)

clear
input double lat double lng
30.50695 114.38494
30.54414 114.36921
30.43655 114.42726
end

cnmapsearch, baidukey(RkwfPwjwfrn3P5XZoNKz7BScyor0nZvW) latitude(lat) longitude(lng) keyword("酒") radius(4000) prefix(pp_)

clear
input double lat double lng
30.50695 114.38494
30.54414 114.36921
30.43655 114.42726
end

cnmapsearch, baidukey(RkwfPwjwfrn3P5XZoNKz7BScyor0nZvW) latitude(lat) longitude(lng) keyword("酒") radius(4000) number(6)


